MINOVAES - PRODUCT - Feature #1609

[New Ul] - Master Data
09/19/2022 11:16 AM - Fiona Avangeline Jonathan

Status: Revise Start date: 09/19/2022
Priority: Urgent Due date:

Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Mang Wanto,

Berikut design baru untuk menu Master Data. Mohon dibantu untuk development nya. Di 1 screen yang sama user akan dapat
melakukan search, view dan maintain master data.

1. Untuk side bar menu utama akan otomatis ter-collapse ketika menu master data terbuka.
2. Widget search dan result dapat di expand/collapse sesuai keinginan user dengan memberikan tombol di kanan atas.
Employee Master Data

Emplayes 1D / Extamal ID f Full Name :

Employee IO 10000148 Company 1D MINCVAIS

Empiayee Status:

Full Nama: ERICSSON Employes Office Mingva (Jakarta)
Emplayee Type:

Employee Status: Active Organization Product Improvement
Employee Sulb Type:

Employee Type: Tetap Posstion Product Improvement
Fayroll Grada:
Result Assignment Address Family Educaton ‘Woriing Experenc  Organzaton Histor  Heal
Employee ID  External Full Name Company ID
10000148 X123Aa ERICSSON MINOVAIS | . —_—

Action Clear Fiters
10000145 Misugi New01  MINOVAIS |
Start Da... End Date Full Name Nick Name External .. Gender Birth Date  Birth Pla.. Religi_ Marital Stat_ Marital Status Sin..
10000150 Boas MINOVAIS |
I na CS: ERICSS: . 2/07/197)
10000151 Ariel MINOVAIS | 01/01/2020 3111270609 ERICSSCON RICSSON X123Aa Laki-laki 020711970 Jaxarta slam Single
10000152 Valentino MINOVAIS |
10000153 Sizuka MINOVAIS |
10000154 Yamada MINOVAIS |
10000155 Hikaru MINOVAIS |
10000156 Maruko MINOVAIS |
10000159 Naruto MINOVAIS |
10000160 Aozora MINOVAIS |
10000161 00000000 Amar MINOVAIS |
10000162 00000000 Botol MINOVAIS |
30000123 B&191 Erik\Waeks MINOVAIS | | ’ J
Link desain: https://xd.adobe.com/view/95ac511c-a48d-4735-99d5-19bc351967fe-cOff/

History
#1 - 09/19/2022 11:16 AM - Fiona Avangeline Jonathan
- File clipboard-202209191114-itlfi.png added

#2 - 09/19/2022 11:16 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#3 - 09/20/2022 04:35 PM - Fiona Avangeline Jonathan

Tambah menu baru untuk design baru
1. SMENUTXT

2. SMENU

3. PCUSTROLE

4. PCMEPMODULETYPE
https://xd.adobe.com/view/95ac511c-a48d-4735-99d5-19bc351967fe-c0ff/

Menu baru: NEWPAO02

#4 - 09/23/2022 07:56 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

#5 - 09/28/2022 10:51 AM - Fiona Avangeline Jonathan
- File clipboard-202209281051-efdfh.png added
- Status changed from QA Test to Assigned

- Assignee changed from Fiona Avangeline Jonathan to Saswanto Tampan

Mang Wanto,

Mohon dibantu pas mau add data baru, tombol save nya hilang.

Employee ID: 10000142 Company 10: 1000
Full Name: ERICSS0N Employes Office: odo2

| I N C Ernployes Status: 03 Orpanization: 00000001
Ermployes Type: o4 Position: 00000001

& = &} T = ;s &
Personal Datz Assignment Address Famity Education Work Experience Organizatia

Start Date: 28/00/2022 Last Education:
End Date: 31/12/0000 Occupation:
Farmily Type: Byah Telephone Office:
Full Mame: Budi Mowes:

endar Laki-laki

Birth Place: Jakanta Coeate By:

Birth Date: 01/09/1940 Create Date:
Date of Death: Change By
Address: Change Datz:
Clity:

Telephone Mumbser:
Cellphane Mumbsar:

Medinal Famiy

Terima kasih.

#6 - 03/21/2023 05:39 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Fiona Avangeline Jonathan

.../app/controller/masterdata/pa/pasearchNew.js
.../app/view/masterdata/pasearchNew.js
.../scripts/mdgenerator.js

#7 - 03/24/2023 09:08 AM - Fiona Avangeline Jonathan
- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to Saswanto Tampan

Mang Wanto,
Employee Master Data dengan Ul baru, ketika di save data tidak muncul padahal save sukses. Ketika di refresh juga tetap tidak muncul. Ada 1

kendala lagi, jika di orang A sedang membuka tab Assignment kemudian pindah ke orang B, yang muncul data tab Personal Data namun tab yang
nyala tetap yang Assignment.
Mohon dibantu, terima kasih.

Files
clipboard-202209191114-itlfj.png 183 KB 09/19/2022 Fiona Avangeline Jonathan
clipboard-202209281051-efdfh.png 30.7 KB 09/28/2022 Fiona Avangeline Jonathan
